**** Main BDD Regressions BW in 1950 ****

clear all
cap log close
set more off
version 17.0

* cd ".." add your working directory here
*use "...\inheritance_bw_main.dta" add the directory of the dataset here

log using bdd_regressions, replace

*** Globals  ***

global dist1 dist_frei_long dist_frei_long_treated
global coord1 coordinate coordina_1 latlon2
global controls1 ele_mean rug_mean crop_mean rivers_min_nodanube sonderkult_61pf  metro_min frenchoz
global controls2 imperial_distance_1555 church_share_1555 roman_distance_certain hre_fragmentation hre_instability set_6 germanic_grave_dummy share_protestants50 württemberg1789



*** Test for Balancedness of Observables at the Border ***

** Figure 3 **

quietly  reg share_protestants50  freiteilungsgebiet $dist1   if longline_dist<=10, cluster(kreis_id)
estimates store prot10
quietly  reg share_protestants50  freiteilungsgebiet $dist1   if longline_dist<=5 , cluster(kreis_id)
estimates store prot5
quietly  reg share_protestants50  freiteilungsgebiet $dist1   if longline_dist<=0 , cluster(kreis_id)
estimates store prot0

quietly  reg shooting_dummy  freiteilungsgebiet $dist1   if longline_dist<=10, cluster(kreis_id)
estimates store shoot10
quietly  reg shooting_dummy  freiteilungsgebiet $dist1   if longline_dist<=5 , cluster(kreis_id)
estimates store  shoot5
quietly reg shooting_dummy  freiteilungsgebiet $dist1   if longline_dist<=0 , cluster(kreis_id)
estimates store  shoot0

quietly  reg alemannisch  freiteilungsgebiet $dist1   if longline_dist<=10, cluster(kreis_id)
estimates store ale10
quietly  reg  alemannisch  freiteilungsgebiet $dist1   if longline_dist<=5 , cluster(kreis_id)
estimates store  ale5
quietly reg  alemannisch  freiteilungsgebiet $dist1   if longline_dist<=0 , cluster(kreis_id)
estimates store  ale0

quietly  reg frankisch  freiteilungsgebiet $dist1   if longline_dist<=10, cluster(kreis_id)
estimates store frank10
quietly  reg frankisch  freiteilungsgebiet $dist1   if longline_dist<=5 , cluster(kreis_id)
estimates store  frank5
quietly reg  frankisch  freiteilungsgebiet $dist1   if longline_dist<=0 , cluster(kreis_id)
estimates store  frank0

quietly  reg schwabisch  freiteilungsgebiet $dist1   if longline_dist<=10, cluster(kreis_id)
estimates store schwab10
quietly  reg schwabisch  freiteilungsgebiet $dist1   if longline_dist<=5 , cluster(kreis_id)
estimates store  schwab5
quietly reg  schwabisch  freiteilungsgebiet $dist1   if longline_dist<=0 , cluster(kreis_id)
estimates store  schwab0


 coefplot (prot10, label(10km Buffer)) (prot5, label(5km Buffer)) (prot0, label(Border Munics)), bylabel(Share of Protestants) ||  (shoot10, label(10km Buffer)) (shoot5, label(5km Buffer)) (shoot0, label(Border Munics)), bylabel(Number of Shooting Clubs) ///
|| (ale10, label(10km Buffer)) (ale5, label(5km Buffer)) (ale0, label(Border Munics)), bylabel(Alemannic Dialect Area) || (frank10, label(10km Buffer)) (frank5, label(5km Buffer)) (frank0, label(Border Munics)), bylabel(Frankish Dialect Area) ///
||  (schwab10, label(10km Buffer)) (schwab5, label(5km Buffer)) (schwab0, label(Border Munics)), bylabel(Swabian Dialect Area) ///
 || , keep(freiteilungsgebiet) levels(95) xline(0) byopts(xrescale) nolabel


** Figure 4 **

quietly reg ele_mean freiteilungsgebiet $dist1 if longline_dist<=10, cluster(kreis_id)
estimates store ele10
quietly reg ele_mean freiteilungsgebiet $dist1 if longline_dist<=5 , cluster(kreis_id)
estimates store ele5
quietly reg ele_mean freiteilungsgebiet $dist1 if longline_dist<=0 , cluster(kreis_id)
estimates store ele0

quietly  reg rug_mean freiteilungsgebiet $dist1  if longline_dist<=10, cluster(kreis_id)
estimates store rug10
quietly  reg rug_mean freiteilungsgebiet $dist1   if longline_dist<=5 , cluster(kreis_id)
estimates store rug5
quietly  reg rug_mean freiteilungsgebiet $dist1   if longline_dist<=0 , cluster(kreis_id)
estimates store rug0

quietly  reg crop_mean freiteilungsgebiet $dist1  if longline_dist<=10 , cluster(kreis_id)
estimates store crop10
quietly  reg crop_mean freiteilungsgebiet $dist1  if longline_dist<=5, cluster(kreis_id)
estimates store crop5
quietly  reg crop_mean freiteilungsgebiet $dist1  if longline_dist<=0, cluster(kreis_id)
estimates store crop0

quietly  reg sonderkult_61pf freiteilungsgebiet $dist1  if longline_dist<=10, cluster(kreis_id)
estimates store sonder10
quietly  reg sonderkult_61pf freiteilungsgebiet $dist1  if longline_dist<=5 , cluster(kreis_id)
estimates store sonder5
quietly  reg sonderkult_61pf freiteilungsgebiet $dist1  if longline_dist<=0 , cluster(kreis_id)
estimates store sonder0

quietly  reg set_6  freiteilungsgebiet $dist1   if longline_dist<=10 , cluster(kreis_id)
estimates store set10
quietly  reg set_6  freiteilungsgebiet $dist1  if longline_dist<=5 , cluster(kreis_id)
estimates store set5
quietly  reg set_6  freiteilungsgebiet $dist1  if longline_dist<=0 , cluster(kreis_id)
estimates store set0

quietly  reg württemberg  freiteilungsgebiet $dist1   if longline_dist<=10 , cluster(kreis_id)
estimates store w10
quietly  reg württemberg  freiteilungsgebiet $dist1  if longline_dist<=5 , cluster(kreis_id)
estimates store w5
quietly  reg württemberg  freiteilungsgebiet $dist1  if longline_dist<=0 , cluster(kreis_id)
estimates store w0

quietly  reg germanic_grave_dummy  freiteilungsgebiet $dist1 if longline_dist<=10 , cluster(kreis_id)
estimates store celtic10
quietly  reg germanic_grave_dummy  freiteilungsgebiet $dist1 if longline_dist<=5, cluster(kreis_id)
estimates store celtic5
quietly  reg germanic_grave_dummy  freiteilungsgebiet $dist1 if longline_dist<=0, cluster(kreis_id)
estimates store celtic0

quietly  reg roman_distance_certain  freiteilungsgebiet $dist1  if longline_dist<=10, cluster(kreis_id)
estimates store roman10
quietly  reg roman_distance_certain freiteilungsgebiet $dist1  if longline_dist<=5, cluster(kreis_id)
estimates store roman5
quietly  reg roman_distance_certain freiteilungsgebiet $dist1  if longline_dist<=0, cluster(kreis_id)
estimates store roman0

quietly  reg imperial_distance_1555  freiteilungsgebiet $dist1 if longline_dist<=10 , cluster(kreis_id)
estimates store imperial10
quietly  reg imperial_distance_1555  freiteilungsgebiet $dist1 if longline_dist<=5 , cluster(kreis_id)
estimates store imperial5
quietly  reg imperial_distance_1555  freiteilungsgebiet $dist1 if longline_dist<=0 , cluster(kreis_id)
estimates store imperial0

 coefplot (ele10, label(10km Buffer)) (ele5, label(5km Buffer)) (ele0, label(Border Munics)), bylabel(Elevation) ||  (rug10, label(10km Buffer)) (rug5, label(5km Buffer)) (rug0, label(Border Munics)), bylabel(Terrain Ruggedness) ///
|| (crop10, label(10km Buffer)) (crop5, label(5km Buffer)) (crop0, label(Border Munics)), bylabel(Soil Quality) || (sonder10, label(10km Buffer)) (sonder5, label(5km Buffer)) (sonder0, label(Border Munics)), bylabel(Share Wine & Fruits 1961) ///
||  (set10, label(10km Buffer)) (set5, label(5km Buffer)) (set0, label(Border Munics)), bylabel(Early-Medieval Forest Area) ///
|| (w10, label(10km Buffer)) (w5, label(5km Buffer)) (w0, label(Border Munics)), bylabel(Württemberg in 1789) ||(celtic10, label(10km Buffer)) (celtic5, label(5km Buffer)) (celtic0, label(Border Munics)), bylabel(Celtic Settlement) ///
|| (roman10, label(10km Buffer))  (roman5, label(5km Buffer)) (roman0, label(Border Munics)), bylabel(Distance to Roman Road)|| (imperial10, label(10km Buffer)) (imperial5, label(5km Buffer)) (imperial0, label(Border Municipalities)), bylabel(Distance to Imperial City 1556) || , keep(freiteilungsgebiet) levels(95) xline(0) byopts(xrescale) nolabel


*** Table 1: First-order Effects of Inheritance Rules ***

*** Distance Polynomial ***


xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $dist1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel replace

xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append


xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5  if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append


xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append


xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $dist1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append

xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $dist1  $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append

xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append

xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append


xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $dist1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append

xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $dist1  $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append

xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append

xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append



xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $dist1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append

xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $dist1  $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append

xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5     if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append

xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2, excel append


*** Coordinates Polynomial ***


xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel replace

xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5  if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append


xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5     if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append


xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5     if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append



xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $coord1 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5     if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append

xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table2_1, excel append


*** Table 2: Effect on Part-time Farming ***

** Panel A: Linear Distance Polynomial **

xi: ivreg2 share_nebenerwerb_total (freiteilung=freiteilungsgebiet) $dist1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 ,ro first
outreg2 using Table2, excel replace

xi: ivreg2 share_nebenerwerb_total (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , ro first
outreg2 using Table2, excel append

xi: ivreg2 share_nebenerwerb_über (freiteilung=freiteilungsgebiet) $dist1   if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , ro first
outreg2 using Table2, excel append

xi: ivreg2 share_nebenerwerb_über (freiteilung=freiteilungsgebiet) $dist1  $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5    if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , ro first
outreg2 using Table2, excel append

** Panel B: Linear Coordinates Polynomial **

xi: ivreg2 share_nebenerwerb_total (freiteilung=freiteilungsgebiet) $coord1   if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , ro first
outreg2 using Table2, excel append

xi: ivreg2 share_nebenerwerb_total (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , ro first
outreg2 using Table2, excel append

xi: ivreg2 share_nebenerwerb_über (freiteilung=freiteilungsgebiet) $coord1   if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , ro first
outreg2 using Table2, excel append

xi: ivreg2 share_nebenerwerb_über (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , ro first
outreg2 using Table2, excel append


*** Effect on Economic Outcomes ***
*** Graphical (Sharp) BDD in Figure 7 ***

* Graphs on the right side *
keep if  exklave_anerbenrecht==0 & exklave_freiteilung==0 
global outcomes lnpopdens50 lnfirm_density50 employment_share_industry50 employment_share_agrar50 migration_balance_pc50
foreach x of global outcomes{
cmogram `x' dist_frei_long if longline_dist<=10, cutpoint(0) scatter lineat(0) ci(95) histopts(bin(5)) lfit
* graph save "_graph0" "...\`x'_ci_10_bin5_cibin.gph", replace // Insert your file path and file name

}
*

* Graphs on the left side *

global outcomes lnpopdens50 lnfirm_density50 employment_share_industry50 employment_share_agrar50 migration_balance_pc50
foreach x of global outcomes{
cmogram `x' dist_frei, cutpoint(0) scatter lineat(0) qfit
* graph save "_graph0" "...\rdd_plot_sq_`x'.gph", replace // Insert your file path and file name

cmogram `x' dist_frei, cutpoint(0) scatter lineat(0) lfit
* graph save "_graph0" "...\rdd_plot_li_`x'.gph", replace // Insert your file path and file name


}

clear


*** Table 3: Equal Partition and the Spread of Proto-Industry Before (1780) and During (1832) the Industrial Revolution ***

 *use "...\inheritance_did.dta" add the directory of the dataset here


xtprobit tobacco_dummy freiteilung2 i.year, pa vce(robust)
margins, dydx(*)
outreg2 using TableProtoInd, excel replace

xtprobit textile_dummy2 freiteilung2 i.year, pa vce(robust)
margins, dydx(*)
outreg2 using TableProtoInd, excel append

xtprobit verlags freiteilung2 i.year, pa vce(robust)
margins, dydx(*)
outreg2 using TableProtoInd, excel append

xtreg lg_tobacco freiteilung2 i.year, fe cluster(gem_id)
outreg2 using TableProtoInd, excel append


xtreg lg_textile freiteilung2 i.year, fe cluster(gem_id)
outreg2 using TableProtoInd, excel append

xtreg lg_protoind freiteilung2 i.year, fe cluster(gem_id)
outreg2 using TableProtoInd, excel append

clear

*** Table 4:  //Hier hakt es bisher noch

 *use "...\inheritance_surnames.dta" add the directory of the dataset here

poisson nachname_gemeinden freiteilungsgebiet , robust
outreg2 using WW1_individual, excel  replace

poisson nachname_gemeinden freiteilungsgebiet ele_mean rug_mean crop_mean rivers_min protestant_dummy nachname_in_bw  total_gem_soldiers share_gem_1914, robust
outreg2 using WW1_individual, excel   append

poisson nachname_gemeinden freiteilungsgebiet  ele_mean rug_mean crop_mean rivers_min roman_distance_certain imperial_distance protestant_dummy total_gem_soldiers nachname_in_bw total_gem_soldiers share_gem_1914, robust
outreg2 using WW1_individual, excel  append

poisson nachname_gemeinden freiteilungsgebiet  ele_mean rug_mean crop_mean rivers_min roman_distance_certain imperial_distance protestant_dummy share_gem_1914 share_gem_reserve share_gem_infantry share_gem_artillery total_gem_soldiers nachname_in_bw total_gem_soldiers, robust
outreg2 using WW1_individual, excel append


 clear
 
 *use "...\inheritance_main.dta" add the directory of the dataset here

 *** Table 5: Effects on Inter-regional Migration ***

** Panel A: Linear Distance Polynomials **

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table5, excel replace

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table5, excel append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table5, excel append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table5, excel append

** Panel B: Linear Coordinates Polynomial **

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table5, excel append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table5, excel append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table5, excel append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table5, excel append

 
 
*** Table 6 ***

** Linear Distance Polynomials **

* Pop Dens *

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table6, excel replace

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=10  & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2   haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table6, excel append

* Firm Density *

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1    if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table6, excel append

* Share Industry Employees *

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table6, excel append

* Share Agrar Employees *

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table6, excel append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table6, excel append


** Linear Coordinates Polynomials **

* Pop Dens *

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet)  $coord1  if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first  
outreg2 using Table6, excel append

xi: ivreg2 lnpopdens50  (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=10  & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) first  partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

xi: ivreg2 lnpopdens50  (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first  partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

xi: ivreg2 lnpopdens50  (freiteilung=freiteilungsgebiet) $coord1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first  partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

* Firm Density *

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet)  $coord1   if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first  
outreg2 using Table6, excel append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first  partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first  partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first  partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

* Share Industry Employees *

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $coord1 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using Table9coord, excel append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

* Share Agrar Employees *

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $coord1   if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first 
outreg2 using Table6, excel append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $coord1  $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using Table6, excel append



*** Table 7: Equal Partition and Contemporary Development in BW ***

**** Modern Day Municipalities and Outcomes ***

 *use "...\inheritance_bw_modern.dta" add the directory of the dataset here


global dist1 dist_frei_long dist_frei_long_treated
global coord1 latitude longitude latlon

global controls1 ele_mean rug_mean crop_mean  metro_min rivers_min frenchoz
global controls2 imperial_distance_1555 church_share_1555 roman_distance_certain hre_fragmentation hre_instability set_6 germanic_grave_dummy  württemberg1789  


** Panel A: Linear Distance Polynomial **

xi: reg industry_firms_buildings_share freiteilung $dist1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=25 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel replace
xi: reg industry_firms_buildings_share freiteilung $dist1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=15 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel append
xi: reg industry_firms_buildings_share freiteilung $dist1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 &  year==2010 , ro first
outreg2 using Table7, excel append

xi: reg  industry_area_share freiteilung $dist1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=25 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel append
xi: reg  industry_area_share freiteilung $dist1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=15 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel append
xi: reg  industry_area_share freiteilung $dist1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  & year==2010 , ro first
outreg2 using Table7, excel append

xi: reg lnincome_pc2006 freiteilung $dist1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=25 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro
outreg2 using Table7, excel append
xi: reg lnincome_pc2006 freiteilung $dist1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=15 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro
outreg2 using Table7, excel append
xi: reg lnincome_pc2006 freiteilung $dist1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 &  year==2010 , ro
outreg2 using Table7, excel append

xi: reg income_pc2006 freiteilung $dist1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 &  year==2010 , ro
outreg2 using Table7, excel append

** Panel B: Linear Coordinates Polynomial **

xi: reg industry_firms_buildings_share freiteilung $coord1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=25 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel append
xi: reg industry_firms_buildings_share freiteilung $coord1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=15 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel append
xi: reg industry_firms_buildings_share freiteilung $coord1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 &  year==2010 , ro first
outreg2 using Table7, excel append

xi: reg  industry_area_share freiteilung $coord1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=25 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel append
xi: reg  industry_area_share freiteilung $coord1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=15 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel append
xi: reg  industry_area_share freiteilung $coord1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel append

xi: reg lnincome_pc2006 freiteilung $coord1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=25 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel append
xi: reg lnincome_pc2006 freiteilung $coord1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=15 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & year==2010 , ro first
outreg2 using Table7, excel append
xi: reg lnincome_pc2006 freiteilung $coord1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 &  year==2010 , ro first
outreg2 using Table7, excel append

xi: reg income_pc2006 freiteilung $coord1 $controls1 $controls2   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 &  year==2010 , ro first
outreg2 using Table7, excel append

cap log close

















