**** Robustness Checks and Further Results (Online Appendix) of the Inheritance Paper  ***

clear all
cap log close
set more off
version 17.0

log using robustness, replace
*** Globals ***

global dist1 dist_frei_long dist_frei_long_treated
global dist2 dist_frei dist_frei_treated dist_frei_sq_treated dist_frei_sq
global coord1 coordinate coordina_1 latlon2
global coord2 latitude longitude longitude_sq latitude_sq latlon latlonsq lonlatsq 
global controls1 ele_mean rug_mean crop_mean rivers_min_nodanube sonderkult_61pf  metro_min frenchoz
global controls2 imperial_distance_1555 church_share_1555 roman_distance_certain hre_fragmentation hre_instability set_6 germanic_grave_dummy share_protestants50 württemberg1789

***

* cd "..." add your working directory here
*use "...\inheritance_main.dta" add the directory of the dataset here


**** ROBUSTNESS CHECKS ****

*** Table A.7: Sharp RDD and Placebo Check ***

** Sharp RDD at first **

xi: reg lnpopdens50 freiteilungsgebiet $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=0  & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) replace

xi: reg lnfirm_density50 freiteilungsgebiet $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg employment_share_industry50 freiteilungsgebiet $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg employment_share_agrar50 freiteilungsgebiet $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg migration_balance_pc50 freiteilungsgebiet $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append


** Panel B: Shift 15 km to the east **

xi: reg lnpopdens50 freiteilungsgebiet_neu20  dist_placebo20 dist_placebo_treated20 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if dist_placebo20>=-10 & dist_placebo20<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg lnfirm_density50  freiteilungsgebiet_neu20  dist_placebo20 dist_placebo_treated20 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo20>=-10 & dist_placebo20<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg employment_share_industry50  freiteilungsgebiet_neu20  dist_placebo20 dist_placebo_treated20 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo20>=-10 & dist_placebo20<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg employment_share_agrar50  freiteilungsgebiet_neu20  dist_placebo20 dist_placebo_treated20 $controls1 $controls2  haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo20>=-10 & dist_placebo20<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id)
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg migration_balance_pc5  freiteilungsgebiet_neu20  dist_placebo20 dist_placebo_treated20 $controls1 $controls2  haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo20>=-10 & dist_placebo20<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

** Panel C: Shift 15 km to the west **

xi: reg lnpopdens50 freiteilungsgebiet_neu21  dist_placebo21 dist_placebo_treated21 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if dist_placebo21>=-10 & dist_placebo21<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg lnfirm_density50  freiteilungsgebiet_neu21  dist_placebo21 dist_placebo_treated21 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo21>=-10 & dist_placebo21<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg employment_share_industry50  freiteilungsgebiet_neu21  dist_placebo21 dist_placebo_treated21 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo21>=-10 & dist_placebo21<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg employment_share_agrar50  freiteilungsgebiet_neu21  dist_placebo21 dist_placebo_treated21 $controls1 $controls2  haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo21>=-10 & dist_placebo21<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id)
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg migration_balance_pc5  freiteilungsgebiet_neu21  dist_placebo21 dist_placebo_treated21 $controls1 $controls2  haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo21>=-10 & dist_placebo21<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

** Panel D: Shift 20 km to the east **

xi: reg lnpopdens50 freiteilungsgebiet_neu24  dist_placebo24 dist_placebo_treated24 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if dist_placebo24>=-10 & dist_placebo24<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg lnfirm_density50  freiteilungsgebiet_neu24  dist_placebo24 dist_placebo_treated24 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo24>=-10 & dist_placebo24<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg employment_share_industry50  freiteilungsgebiet_neu24  dist_placebo24 dist_placebo_treated24 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo24>=-10 & dist_placebo24<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg employment_share_agrar50  freiteilungsgebiet_neu24  dist_placebo24 dist_placebo_treated24 $controls1 $controls2  haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo24>=-10 & dist_placebo24<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id)
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg migration_balance_pc5  freiteilungsgebiet_neu24  dist_placebo24 dist_placebo_treated24 $controls1 $controls2  haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo24>=-10 & dist_placebo24<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append


** Panel E: Shift 20 km to the west **

xi: reg lnpopdens50 freiteilungsgebiet_neu25  dist_placebo25 dist_placebo_treated25 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if dist_placebo25>=-10 & dist_placebo25<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg lnfirm_density50  freiteilungsgebiet_neu25  dist_placebo25 dist_placebo_treated25 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo25>=-10 & dist_placebo25<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg employment_share_industry50  freiteilungsgebiet_neu25  dist_placebo25 dist_placebo_treated25 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo25>=-10 & dist_placebo25<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg employment_share_agrar50  freiteilungsgebiet_neu25  dist_placebo25 dist_placebo_treated25 $controls1 $controls2  haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo25>=-10 & dist_placebo25<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id)
outreg2 using TableA7, excel bdec(3) sdec(3) append

xi: reg migration_balance_pc5  freiteilungsgebiet_neu25  dist_placebo25 dist_placebo_treated25 $controls1 $controls2  haupt_dummy nebenregional_dummy i.longline_closest_5 if dist_placebo25>=-10 & dist_placebo25<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) 
outreg2 using TableA7, excel bdec(3) sdec(3) append


*** Table Robustness A.8: Donut RDD and Without 3rd Segment ***

** Panel A: Donut RDD **

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist>0  & longline_dist<=20 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA8, excel  bdec(3) sdec(3) replace

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist>0 &  longline_dist<=20 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA8, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist>0 &  longline_dist<=20 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA8, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist>0 &  longline_dist<=20 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA8, excel  bdec(3) sdec(3) append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist>0 &   longline_dist<=20 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA8, excel  bdec(3) sdec(3) append

** Panel B: Without the segment with Stuttgart and its Agglomeration **


xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5  & exklave_anerbenrecht==0 & exklave_freiteilung==0 & longline_closest_5!=3, cluster(kreis_id) first
outreg2 using TableA8, excel  bdec(3) sdec(3) append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & longline_closest_5!=3 , cluster(kreis_id) first
outreg2 using TableA8, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & longline_closest_5!=3  , cluster(kreis_id) first
outreg2 using TableA8, excel  bdec(3) sdec(3) append
 
xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & longline_closest_5!=3  , cluster(kreis_id) first
outreg2 using TableA8, excel  bdec(3) sdec(3) append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 & longline_closest_5!=3, cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA8, excel  bdec(3) sdec(3) append


*** Table A.9: 15 Border Segments, Historical States and additional Controls ***


** Panel A: 15 Border Segment Fixed Effects **

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_15 if longline_dist<=5  & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA9, excel  bdec(3) sdec(3) replace

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_15 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_15 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_15 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy i.longline_closest_15 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

** Panel B: Historical States Fixed Effects **

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy i.state_1789  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy i.state_1789 i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy i.state_1789   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy i.state_1789   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.state_1789  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA9, excel  bdec(3) sdec(3) append


** Panel C: Including Market Potential and Natural Resources as Controls **

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy mp_for_1500 coal_potential i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy mp_for_1500  coal_potential i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy mp_for_1500  coal_potential   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy mp_for_1500  coal_potential i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA9, excel  bdec(3) sdec(3) append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy mp_for_1500  coal_potential i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA9, excel  bdec(3) sdec(3) append


** Table A.10: Quadratic Distance Polynomial and With Exclaves **

*** Panel A: Quadratic Distance Polynomial ***

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet)  $dist2 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) first
outreg2 using TableA10, excel  bdec(3) sdec(3) replace 

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist2 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA10, excel  bdec(3) sdec(3) append
 
xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet)  $dist2 $controls1 $controls2  haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA10, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet)  $dist2 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA10, excel  bdec(3) sdec(3) append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist2 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA10, excel  bdec(3) sdec(3) append


*** Panel B: With exclaves ***

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5,  cluster(kreis_id) first
outreg2 using TableA10, excel  bdec(3) sdec(3) append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5  , cluster(kreis_id) first
outreg2 using TableA10, excel  bdec(3) sdec(3) append
 
xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5  , cluster(kreis_id) first
outreg2 using TableA10, excel  bdec(3) sdec(3) append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5  , cluster(kreis_id) first
outreg2 using TableA10, excel  bdec(3) sdec(3) append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5  , cluster(kreis_id) first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
outreg2 using TableA10, excel  bdec(3) sdec(3) append


*** Figure A.2: Conley Standard Errors ***

**** Table Robustness 5: Conley Standard Errors for different Cut-off Points ***

xi: acreg lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0, spatial latitude(coordinate) longitude(coordina_1) dist(5)
estimates store conley1
xi: acreg lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0, spatial latitude(coordinate) longitude(coordina_1) dist(10)
estimates store conley2
xi: acreg lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0, spatial latitude(coordinate) longitude(coordina_1) dist(20)
estimates store conley3
xi: acreg lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0, spatial latitude(coordinate) longitude(coordina_1) dist(30)
estimates store conley4


xi: acreg lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , spatial latitude(coordinate) longitude(coordina_1) dist(5)
estimates store conley5
xi: acreg lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , spatial latitude(coordinate) longitude(coordina_1) dist(10)
estimates store conley6
xi: acreg lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , spatial latitude(coordinate) longitude(coordina_1) dist(20)
estimates store conley7
xi: acreg lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , spatial latitude(coordinate) longitude(coordina_1) dist(30)
estimates store conley8

xi: acreg employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(5)
estimates store conley9
xi: acreg employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(10)
estimates store conley10
xi: acreg employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(20)
estimates store conley11
xi: acreg employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(30)
estimates store conley12

xi: acreg employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(5)
estimates store conley13
xi: acreg employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(10)
estimates store conley14
xi: acreg employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(20)
estimates store conley15
xi: acreg employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(30)
estimates store conley16


xi: acreg migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(5)
estimates store conley17
xi: acreg migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(10)
estimates store conley18
xi: acreg migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(20)
estimates store conley19
xi: acreg migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , spatial latitude(coordinate) longitude(coordina_1) dist(30)
estimates store conley20


coefplot (conley1, label(Cut-off 5km)) (conley2, label(Cut-off 10km)) (conley3, label(Cut-off 20km)) (conley4, label(Cut-off 30km)), bylabel(ln(Population Density 1950))  ///
|| (conley5, label(Cut-off 5km)) (conley6, label(Cut-off 10km))  (conley7, label(Cut-off 20km)) (conley8, label(Cut-off 30km)) , bylabel(ln(Firms per Acre 1950)) ///
|| (conley9, label(Cut-off 5km)) (conley10, label(Cut-off 10km)) (conley11, label(Cut-off 20km)) (conley12, label(Cut-off 30km)) , bylabel(Employment Share Industry 1950) ///
|| (conley13, label(Cut-off 5km)) (conley14, label(Cut-off 10km)) (conley15, label(Cut-off 20km)) (conley16, label(Cut-off 30km)), bylabel(Employment Share Agrar 1950) ///
 || (conley17, label(Cut-off 5km)) (conley18, label(Cut-off 10km)) (conley19, label(Cut-off 20km)) (conley20, label(Cut-off 30km)), bylabel(Migration Balance p.c. 1950)|| , keep(freiteilung) levels(90) xline(0) byopts(xrescale) nolabel
 
*** Figure A.2: With Heteroksedasdicty Robust Standard Errors ***


xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0, ro first
estimates store white1

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , ro first
estimates store white2

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , ro first
estimates store white3

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , ro first
estimates store white4

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , ro first partial( _Ilongline__1 _Ilongline__2 _Ilongline__3 _Ilongline__4)
estimates store white5

coefplot (white1, label(ln(Population Density))) (white2, label(ln(Firms per Hectre))) (white3, label(Share Industry Employment)) (white4, label(Share Agrar Employment)) ///
 (white5, label(Migration Balance p.c.)) , keep(freiteilung) levels(90) xline(0) byopts(xrescale) nolabel

**** FURTHER RESULTS ****

*** Table A.11: OLS Results for Baden-Württemberg ***

xi: reg lnpopdens50 freiteilung  $controls1 $controls2  haupt_dummy nebenregional_dummy i.thickline_closest_25   , cluster(kreis_id)
outreg2 using TableA11, excel replace

xi: reg lnfirm_density50 freiteilung  $controls1 $controls2  haupt_dummy nebenregional_dummy i.thickline_closest_25   , cluster(kreis_id)
outreg2 using TableA11, excel append

xi: reg employment_share_industry50 freiteilung  $controls1 $controls2  haupt_dummy nebenregional_dummy i.thickline_closest_25   , cluster(kreis_id)
outreg2 using TableA11, excel append

xi: reg employment_share_agrar50 freiteilung  $controls1 $controls2  haupt_dummy nebenregional_dummy i.thickline_closest_25   , cluster(kreis_id)
outreg2 using TableA11, excel append

xi: reg migration_balance_pc50 freiteilung  $controls1 $controls2  haupt_dummy nebenregional_dummy i.thickline_closest_25   , cluster(kreis_id)
outreg2 using TableA11, excel append

*** Table A.12: Results for 1961 ***


xi: ivreg2 lnpopdens61 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5  & exklave_anerbenrecht==0 & exklave_freiteilung==0, cluster(kreis_id) first
outreg2 using TableA12, excel bdec(3) sdec(3) replace

xi: ivreg2 lnfirm_density61 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy   i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA12, excel bdec(3) sdec(3) append
 
xi: ivreg2 employment_share_industry61 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy    i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA12, excel bdec(3) sdec(3) append

xi: ivreg2 employment_share_agrar61 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2  haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA12, excel bdec(3) sdec(3) append

*** Table A.13: Result for Demographic Outcomes ***

xi: ivreg2 share_age6 (freiteilung=freiteilungsgebiet) $dist1  $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA13, excel bdec(3) sdec(3) replace

xi: ivreg2 share_5_15 (freiteilung=freiteilungsgebiet) $dist1  $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA13, excel bdec(3) sdec(3) append

xi: ivreg2 share_age_15_20 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA13, excel bdec(3) sdec(3) append

xi: ivreg2 share_age_20_45 (freiteilung=freiteilungsgebiet)$dist1  $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA13, excel bdec(3) sdec(3) append

xi: ivreg2 share_age_45_65 (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA13, excel bdec(3) sdec(3) append

xi: ivreg2 share_age_65_plus (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA13, excel bdec(3) sdec(3) append

xi: ivreg2 birth_pc (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy  i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA13, excel bdec(3) sdec(3) append

xi: ivreg2 marriages_pc (freiteilung=freiteilungsgebiet) $dist1 $controls1 $controls2 haupt_dummy nebenregional_dummy i.longline_closest_5 if longline_dist<=10 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA13, excel bdec(3) sdec(3) append

*** Table A.14: Results for Württemberg in 1895  ***


* use "...\inheritance_w_1895.dta"  load dataset for 1895 from your working directory

reg lnfarm_density1895 real lat lon ele_mean rug_mean crop_mean rivers_min roman_distance imperial_distance_1555 church_share_1555 set_6 hre_fragmentation hre_instability celtic_grave_dummy  württemberg1789 dist_min nebenregional_dummy haupt_dummy share_protestants1895  , cluster(oberamt)
outreg2 using TableA14, excel replace

reg lnpop_dens1834 real lat lon ele_mean rug_mean crop_mean rivers_min roman_distance imperial_distance_1555 church_share_1555 set_6 hre_fragmentation hre_instability celtic_grave_dummy  württemberg1789 dist_min share_protestants1895, cluster(oberamt)
outreg2 using TableA14, excel append

reg lnpop_dens1895 real lat lon ele_mean rug_mean crop_mean rivers_min roman_distance imperial_distance_1555 church_share_1555 set_6 hre_fragmentation hre_instability celtic_grave_dummy  württemberg1789 dist_min nebenregional_dummy haupt_dummy share_protestants1895, cluster(oberamt)
outreg2 using TableA14, excel append

reg lnfirmsparea1895wn lat lon real ele_mean rug_mean crop_mean rivers_min roman_distance imperial_distance_1555 church_share_1555 set_6 hre_fragmentation hre_instability celtic_grave_dummy  württemberg1789 dist_min nebenregional_dummy haupt_dummy share_protestants1895 , cluster(oberamt)
outreg2 using TableA14, excel append

clear

*** Table A.15: Results for Contemporary Outcomes in West-Germany (Hager and Hilbig Data Set) ***

* use "...\inheritance_hager_hilbig.dta"  load dataset for 1895 from your working directory



xi: reg lnpop_dens fair_dic i.state lat lon, cluster( county)
outreg2 using TableA15, excel replace
xi: reg lnpop_dens fair_dic i.county, cluster( county)
outreg2 using TableA15, excel append
xi: reg lnpop_dens fair_dic i.county i.state_1898 elev_mean roman peas_total law_cc_combined  dist_wttb , cluster( county)
outreg2 using TableA15, excel append
xi: reg log_suminc31_mean fair_dic i.state lat lon, cluster( county)
outreg2 using TableA15, excel append
xi: reg log_suminc31_mean fair_dic i.county, cluster( county)
outreg2 using TableA15, excel append
xi: reg log_suminc31_mean fair_dic i.county i.state_1898 elev_mean roman peas_total law_cc_combined  dist_wttb , cluster( county)
outreg2 using TableA15, excel append

clear 

*** Table A.16: Specification without controls not reported in Table 1 ***

*use "...\inheritance_main.dta" add the directory of the dataset here

** Panel A: Linear Distance Polynomial **

xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel replace
xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append


xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append
xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append

xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append
xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append

xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append
xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append


** Panel B: Linear Coordinates Polynomial **

xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append
xi: ivreg2 big_farm (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append

xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append
xi: ivreg2 farms_p  (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append

xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append
xi: ivreg2 mithelfende_share  (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append

xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append
xi: ivreg2 allmende  (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA16, excel append


*** Table A17: Specification without controls not reported in Table 5  ***


xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet)$dist1 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel replace

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet)$dist1 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append

xi: ivreg2 migration_balance_pc50 (freiteilung=freiteilungsgebiet) $coord1  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append

*** Table A17: Specification without controls not reported in Table 6 ***

** Panel A: Linear Distance Polynomial **

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA17, excel replace
xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first
outreg2 using TableA17, excel append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1   if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append
xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $dist1   if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append
xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append
xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $dist1 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append

** Panel B: Linear Coordinates Polynomial **

xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet)  $coord1  if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first  
outreg2 using TableA17, excel append
xi: ivreg2 lnpopdens50 (freiteilung=freiteilungsgebiet)  $coord1  if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0 , cluster(kreis_id) first  
outreg2 using TableA17, excel append

xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $coord1    if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append
xi: ivreg2 lnfirm_density50 (freiteilung=freiteilungsgebiet) $coord1    if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append

xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $coord1 if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append
xi: ivreg2 employment_share_industry50 (freiteilung=freiteilungsgebiet) $coord1 if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first
outreg2 using TableA17, excel append

xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $coord1   if longline_dist<=5 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first 
outreg2 using TableA17, excel append
xi: ivreg2 employment_share_agrar50 (freiteilung=freiteilungsgebiet) $coord1   if longline_dist<=0 & exklave_anerbenrecht==0 & exklave_freiteilung==0  , cluster(kreis_id) first 
outreg2 using TableA17, excel append

cap log close





